<div class="control-panel">
	<% if @demo.nil? %>
		<span class="info-box btn-group">
			<h4 class="btn btn-fake">
				Physical Server:
				<strong class="<%= server_status_class(@server) %>"><%= render_server_status(@server) %></strong>
			</h4>
			<% if @server.start?.nil? %>
				<%= link_to start_server_path(@server), class: "btn btn-success" do %>
					<span class="fa fa-power-off"></span> Turn on
				<% end %>
			<% end %>
			<% if @server.stop?.nil? %>
				<%= link_to stop_server_path(@server), class: "btn btn-danger" do %>
					<span class="fa fa-power-off"></span> Turn off
				<% end %>
			<% end %>
			<% if @server.reboot?.nil? %>
				<%= link_to reboot_server_path(@server), class: "btn btn-info" do %>
					<span class="fa fa-refresh"></span> Reboot
				<% end %>
			<% end %>
		</span>

		<span class="info-box btn-group">
			<h4 class="btn btn-fake">
				Minecraft:
				<strong class="<%= server_minecraft_status_class(@server) %>"><%= @server.busy? ? 'Busy' : (@server.minecraft.running? ? 'Running' : 'Inactive') %></strong>
			</h4>

			<% if !@server.busy? && @server.minecraft.pause?.nil? %>
				<%= link_to pause_server_path(@server), class: "btn btn-info" do %>
					<span class="fa fa-stop"></span> Stop
				<% end %>
			<% else %>
				<% if @server.busy? || @server.minecraft.resume? %>
					<span class="btn btn-success disabled" data-toggle="tooltip" data-container="body" title="<%= @server.busy? ? 'Busy' : @server.minecraft.resume? %>">
						<span class="fa fa-play"></span> Start
					</span>
				<% else %>
					<%= link_to resume_server_path(@server), class: "btn btn-success" do %>
						<span class="fa fa-play"></span> Start
					<% end %>
				<% end %>
			<% end %>
		</span>

		<div class="pull-right">
			<span class="info-box btn-group">
				<% if @server.busy? || @server.minecraft.backup? %>
					<span class="btn btn-info disabled" data-toggle="tooltip" data-container="body" title="Unavailable">
						<span class="fa fa-archive"></span> Backup remotely
					</span>
				<% else %>
					<%= link_to backup_server_path(@server), class: "btn btn-info" do %>
						<span class="fa fa-archive"></span> Backup remotely
					<% end %>
				<% end %>

				<% if @server.busy? || @server.minecraft.download? %>
					<span class="btn btn-info disabled" data-toggle="tooltip" data-container="body" title="Unavailable">
						<span class="fa fa-download"></span> Download world
					</span>
				<% else %>
					<%= link_to download_server_path(@server), class: "btn btn-info" do %>
						<span class="fa fa-download"></span> Download world
					<% end %>
				<% end %>
			</span>

			<% if @server.owner?(current_user) %>
				<span class="info-box">
					<%= link_to 'Delete', delete_server_path(@server), class: "btn btn-danger", data: { confirm: 'Are you sure you want to delete this server forever? (A really long time!)' } %>
				</span>
			<% end %>
		</div>
	<% else %>
		<!-- TODO demo mode -->
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title">Control Panel</h3>
			</div>
			<div class="panel-body">
				<h4 class="text-center">Physical Server</h4>
				<a class="btn btn-success btn-block disabled">Start</a>
				<a class="btn btn-danger btn-block">Stop</a>
				<a class="btn btn-info btn-block">Reboot</a>
				<hr>
				<h4 class="text-center">Minecraft</h4>
				<a class="btn btn-success btn-block disabled">Resume</a>
				<a class="btn btn-info btn-block">Pause</a>
				<hr>
				<a class="btn btn-success btn-block disabled">Backup Remotely</a>
				<a class="btn btn-info btn-block disabled">Download world</a>
				<hr>
				<a class="btn btn-danger btn-block">Delete</a>
			</div>
		</div>
	<% end %>
</div>
